using MongoDB.Bson.Serialization.Attributes;

namespace Marco.Pms.Model.MongoDBModels.Employees
{
    [BsonIgnoreExtraElements]
    public class EmployeePermissionMongoDB
    {
        public string Id { get; set; } = string.Empty;  // Employee ID
        public List<string> ApplicationRoleIds { get; set; } = new List<string>();
        public List<string> PermissionIds { get; set; } = new List<string>();
        public List<string> ProjectIds { get; set; } = new List<string>();
        public DateTime ExpireAt { get; set; } = DateTime.UtcNow.Date.AddDays(1);
        public string TenantId { get; set; } = string.Empty;  // Tenant ID
    }
}
